(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1873,
	height: 930,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/_7898854_xxl.jpg", id:"_7898854_xxl"},
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/gfx_drop.png", id:"gfx_drop"}
	]
};

// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(936.5,464.8,1792.1,933.6);
p.frameBounds = [rect];


// symbols:
(lib._7898854_xxl = function() {
	this.initialize(img._7898854_xxl);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,3502,3400);


(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,285,379);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,379,260);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,298,568);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,305,399);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,337,342);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,449,321);


(lib.gfx_drop = function() {
	this.initialize(img.gfx_drop);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,200,200);


(lib.Symbol8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap1();
	this.instance.setTransform(-142.7,-189.4);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-142.7,-189.4,285,379);
p.frameBounds = [rect];


(lib.Symbol7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();
	this.instance.setTransform(-182.4,-171.1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-182.4,-171.1,337,342);
p.frameBounds = [rect];


(lib.Symbol6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();
	this.instance.setTransform(-224.4,-165.2);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-224.4,-165.2,449,321);
p.frameBounds = [rect];


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();
	this.instance.setTransform(-151.6,-199.4);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-151.6,-199.4,305,399);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap2();
	this.instance.setTransform(-189.6,-129.7);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-189.6,-129.7,379,260);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap3();
	this.instance.setTransform(-147.6,-283.2);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-147.6,-283.2,298,568);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '2085',
			title: 'Ułóż elementy obrazka, aby poznać rodzinę Ani.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			/*
			groupdrags: {		
				1: ['1','2','3'],
				2: ['4','5','6'],
				3: ['7','8','9']
			},
			
			groupdrops: {
				1: ['1','2','3'],
				2: ['4','5','6'],
				3: ['7','8','9']
			},
			*/
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '2',
				/*drop_3:*/ '3',
				/*drop_4:*/	'4',
				/*drop_4:*/	'5',
				/*drop_4:*/	'6',
			],
			range: 100,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			//rotation: 'auto',
			//size: 'auto',
			//zindex: 0,
			exerciseAfterInit: function () {
			},
			exerciseBeforeFinish: function() {
				setSounds(this, 'drag_');		
			},
			exerciseExtraCheck: function() {		
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drop_5 = new lib.Symbol3();
	this.drop_5.setTransform(148.9,284.2,1,1,0,0,0,1.3,0.7);
	this.drop_5.alpha = 0.199;

	this.drop_4 = new lib.Symbol5();
	this.drop_4.setTransform(397.2,199.7,1,1,0,0,0,1,0);
	this.drop_4.alpha = 0.199;

	this.drop_2 = new lib.Symbol4();
	this.drop_2.setTransform(456.4,436.3,1,1,0,0,0,0,0.3);
	this.drop_2.alpha = 0.199;

	this.drop_3 = new lib.Symbol6();
	this.drop_3.setTransform(831.4,404.7,1,1,0,0,0,0,-4.9);
	this.drop_3.alpha = 0.199;

	this.drop_6 = new lib.Symbol7();
	this.drop_6.setTransform(887.9,171.5,1,1,0,0,0,-13.9,0);
	this.drop_6.alpha = 0.199;

	this.drop_1 = new lib.Symbol8();
	this.drop_1.setTransform(664.2,189.2);
	this.drop_1.alpha = 0.199;

	this.drag_1 = new lib.Symbol8();
	this.drag_1.setTransform(1244.4,245.2);

	this.drag_6 = new lib.Symbol7();
	this.drag_6.setTransform(781.9,755.7,1,1,0,0,0,-13.9,0);

	this.drag_3 = new lib.Symbol6();
	this.drag_3.setTransform(321.2,734.7,1,1,0,0,0,0,-4.9);

	this.drag_4 = new lib.Symbol5();
	this.drag_4.setTransform(1241.3,733.8,1,1,0,0,0,1,0);

	this.drag_2 = new lib.Symbol4();
	this.drag_2.setTransform(1602.7,162.2,1,1,0,0,0,0,0.3);

	this.drag_5 = new lib.Symbol3();
	this.drag_5.setTransform(1589.2,606.2,1,1,0,0,0,1.3,0.7);

	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFCC").s().p("EhShAr8MAAAhX3MClDAAAMAAABX3g");
	this.shape.setTransform(528.2,281.2);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape},{t:this.drag_5},{t:this.drag_2},{t:this.drag_4},{t:this.drag_3},{t:this.drag_6},{t:this.drag_1},{t:this.drop_1},{t:this.drop_6},{t:this.drop_3},{t:this.drop_2},{t:this.drop_4},{t:this.drop_5}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(0,-0.2,1792.1,933.6);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;